%global commit c6a7fca48eb10572c57e8f644c11633456611d8f
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           javaewah
Version:        0.8.4
Release:        %mkrel 7
Summary:        A word-aligned compressed variant of the Java bitset class

Group:          Development/Java
License:        ASL 2.0
URL:            http://code.google.com/p/javaewah/
Source0:        https://github.com/lemire/%{name}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

BuildArch:      noarch

BuildRequires: maven-local
BuildRequires: maven-surefire-provider-junit


%description
JavaEWAH is a word-aligned compressed variant of the Java bitset class.
It uses a 64-bit run-length encoding (RLE) compression scheme.

The goal of word-aligned compression is not to achieve the best
compression, but rather to improve query processing time. Hence, we try
to save CPU cycles, maybe at the expense of storage. However, the EWAH
scheme we implemented is always more efficient storage-wise than an
uncompressed bitmap (implemented in Java as the BitSet class). Unlike
some alternatives, javaewah does not rely on a patented scheme.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.


%prep
%setup -qn %{name}-%{commit}

%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-javadoc-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc CHANGELOG README.md LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE-2.0.txt



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 0.8.4-7.mga6
+ Revision: 981837
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 0.8.4-6.mga6
+ Revision: 976548
- First rebuild of the java stack
- sync package javaewah with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Dec 31 2014 pterjan <pterjan> 0.8.4-1.mga5
+ Revision: 807609
- Sync with Fedora 21 (update to 0.8.4)

* Wed Oct 15 2014 umeabot <umeabot> 0.7.8-4.mga5
+ Revision: 739964
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 0.7.8-2.mga4
+ Revision: 541778
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dmorgan <dmorgan> 0.7.8-1.mga4
+ Revision: 496432
- New version

* Wed Sep 25 2013 dmorgan <dmorgan> 0.6.12-2.mga4
+ Revision: 486313
- Rebuild against new javapackages

* Thu Jul 18 2013 dmorgan <dmorgan> 0.6.12-1.mga4
+ Revision: 455834
- imported package javaewah


* Sun Jun 09 2013 Gerard Ryan <galileo@fedoraproject.org> - 0.6.12-1
- Initial package.
